<?php

class ControleDatas{

function calcularProximaData($data,$totalParcelas,$tipoCredito,$vencimento = 0,$parcela = 0,) 
{
    
    if (($tipoCredito == "C") && ($totalParcelas > 1))
    {
        $timestamp = strtotime($vencimento);
        $diaSemana = date('N', $timestamp); // 1 = Segunda, 7 = Domingo
    
        if ($diaSemana == 6) { // Sábado
            $timestamp = strtotime('next monday', $timestamp);
        } elseif ($diaSemana == 7) { // Domingo
            $timestamp = strtotime('next monday', $timestamp);
        }
    
        return date('Y-m-d', $timestamp);

    } else {

        return $vencimento;
            
            }
        }

        
    public function verificarDiferencaEntreDatas($dataInicio,$dataFinal)
    {        
        $dataRecebimento = new DateTime($dataInicio);
        $dataVencimento = new DateTime($dataFinal);

        // Calcula a diferença
        $diferenca = $dataVencimento->diff($dataRecebimento);

        // Exibe a diferença em dias
        return $diferenca->days;    

    }

    

}